Name:           posterazor
Version:        1.5
Release:        4%{?dist}
Summary:        Make your own poster

Group:          Applications/Publishing
License:        GPLv3+
URL:            http://%{name}.sourceforge.net/index.php
Source0:        http://prdownloads.sourceforge.net/%{name}/PosteRazor-%{version}-Source.zip
Source1:        %{name}.desktop
Patch0:         %{name}-%{version}-includes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake freeimage-devel fltk-devel libXpm-devel
BuildRequires:  desktop-file-utils

%description
The PosteRazor cuts a raster image into pieces which can afterwards be
printed out and assembled to a poster. As input, the PosteRazor takes a
raster image. The resulting poster is saved as a multipage PDF document.
An easy to use, wizard like user interface guides through 5 steps.

%prep
%setup -q -c
%patch0 -p1 -b .includes
for i in CHANGES LICENSE README
do
 sed -e 's/\r//' $i > $i.tmp
 touch -c -r $i $i.tmp
 mv $i.tmp $i
done

%build
cd src
%cmake .
make %VERBOSE=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -pm 755 src/PosteRazor  $RPM_BUILD_ROOT/%{_bindir}
install -Dm 644 -p src/PosteRazor.xpm  $RPM_BUILD_ROOT%{_datadir}/pixmaps/
desktop-file-install --vendor="" \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
  %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README
%{_bindir}/PosteRazor
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/PosteRazor.xpm


%changelog
* Sat Feb 28 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.5-4
- Fix desktop file
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Wed Oct 29 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.5-2
- add desktop file
* Thu Oct 23 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1.5-1
- initial build
